SolarisNumericGroupPrincipal (Java SE 9 & JDK 9 )
Keywords: com.sun.security.auth.SolarisNumericGroupPrincipal class

Module jdk.security.auth
Package com.sun.security.auth

## Class SolarisNumericGroupPrincipal

- java.lang.Object
- - com.sun.security.auth.SolarisNumericGroupPrincipal

- All Implemented Interfaces:
    `Serializable`, `Principal`

  Deprecated, for removal: This API element is subject to removal in a future version.
  As of JDK 1.4, replaced by `UnixNumericGroupPrincipal`. This class is entirely deprecated. This class is subject to removal in a future version of Java SE.

      @Deprecated(since="1.4",
                  forRemoval=true)
      public class SolarisNumericGroupPrincipal
      extends Object
      implements Principal, Serializable

  This class implements the `Principal` interface and represents a user's Solaris group identification number (GID).

  Principals such as this `SolarisNumericGroupPrincipal` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this. Authorization decisions can then be based upon the Principals associated with a `Subject`.

  See Also:
    `Principal`, `Subject`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SolarisNumericGroupPrincipal​(long name, boolean primaryGroup)` | Deprecated, for removal: This API element is subject to removal in a future version. Create a `SolarisNumericGroupPrincipal` using a long representation of the user's group identification number (GID).
    `SolarisNumericGroupPrincipal​(String name, boolean primaryGroup)` | Deprecated, for removal: This API element is subject to removal in a future version. Create a `SolarisNumericGroupPrincipal` using a `String` representation of the user's group identification number (GID).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` | Deprecated, for removal: This API element is subject to removal in a future version. Compares the specified Object with this `SolarisNumericGroupPrincipal` for equality.
    `String` | `getName​()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the user's group identification number (GID) for this `SolarisNumericGroupPrincipal`.
    `int` | `hashCode​()` | Deprecated, for removal: This API element is subject to removal in a future version. Return a hash code for this `SolarisNumericGroupPrincipal`.
    `boolean` | `isPrimaryGroup​()` | Deprecated, for removal: This API element is subject to removal in a future version. Return whether this group identification number (GID) represents the primary group to which this user belongs.
    `long` | `longValue​()` | Deprecated, for removal: This API element is subject to removal in a future version. Return the user's group identification number (GID) for this `SolarisNumericGroupPrincipal` as a long.
    `String` | `toString​()` | Deprecated, for removal: This API element is subject to removal in a future version. Return a string representation of this `SolarisNumericGroupPrincipal`.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `implies`

- - ### Constructor Detail

    - #### SolarisNumericGroupPrincipal

          public SolarisNumericGroupPrincipal​(String name,
                                              boolean primaryGroup)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Create a `SolarisNumericGroupPrincipal` using a `String` representation of the user's group identification number (GID).
      Parameters:
        `name` - the user's group identification number (GID) for this user.
        `primaryGroup` - true if the specified GID represents the primary group to which this user belongs.
      Throws:
        `NullPointerException` - if the `name` is `null`.

    - #### SolarisNumericGroupPrincipal

          public SolarisNumericGroupPrincipal​(long name,
                                              boolean primaryGroup)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Create a `SolarisNumericGroupPrincipal` using a long representation of the user's group identification number (GID).
      Parameters:
        `name` - the user's group identification number (GID) for this user represented as a long.
        `primaryGroup` - true if the specified GID represents the primary group to which this user belongs.

  - ### Method Detail

    - #### getName

          public String getName​()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the user's group identification number (GID) for this `SolarisNumericGroupPrincipal`.
      Specified by:
        `getName` in interface `Principal`
      Returns:
        the user's group identification number (GID) for this `SolarisNumericGroupPrincipal`

    - #### longValue

          public long longValue​()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return the user's group identification number (GID) for this `SolarisNumericGroupPrincipal` as a long.
      Returns:
        the user's group identification number (GID) for this `SolarisNumericGroupPrincipal` as a long.

    - #### isPrimaryGroup

          public boolean isPrimaryGroup​()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return whether this group identification number (GID) represents the primary group to which this user belongs.
      Returns:
        true if this group identification number (GID) represents the primary group to which this user belongs, or false otherwise.

    - #### toString

          public String toString​()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return a string representation of this `SolarisNumericGroupPrincipal`.
      Specified by:
        `toString` in interface `Principal`
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this `SolarisNumericGroupPrincipal`.

    - #### equals

          public boolean equals​(Object o)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Compares the specified Object with this `SolarisNumericGroupPrincipal` for equality. Returns true if the given object is also a `SolarisNumericGroupPrincipal` and the two SolarisNumericGroupPrincipals have the same group identification number (GID).
      Specified by:
        `equals` in interface `Principal`
      Overrides:
        `equals` in class `Object`
      Parameters:
        `o` - Object to be compared for equality with this `SolarisNumericGroupPrincipal`.
      Returns:
        true if the specified Object is equal to this `SolarisNumericGroupPrincipal`.
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### hashCode

          public int hashCode​()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Return a hash code for this `SolarisNumericGroupPrincipal`.
      Specified by:
        `hashCode` in interface `Principal`
      Overrides:
        `hashCode` in class `Object`
      Returns:
        a hash code for this `SolarisNumericGroupPrincipal`.
      See Also:
        `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`